Subject: bug#75661: closed (Re: [bug#75661] [PATCH 0/1] gnu: lsof: Skip LTlock test)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 20 Jan 2025 02:41:03 +0000

Your bug report

#75661: [PATCH 0/1] gnu: lsof: Skip LTlock test

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
75661: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=75661
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#75661] [PATCH 0/1] gnu: lsof: Skip LTlock test
From: Leo Famulari <[email-masked]>
To: Jordan Moore <[email-masked]>
Cc: [email-masked]
Date: Sun, 19 Jan 2025 21:40:14 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sun, Jan 19, 2025 at 10:39:31AM -0500, Jordan Moore wrote:
> Oh no go ahead, I misread that as 2200 packages when I checked

Great! Pushed as eeabdd8eb346f5fb332385c11292ab3bd1ca12a5

Subject: [PATCH 0/1] gnu: lsof: Skip LTlock test
From: Jordan Moore <[email-masked]>
To: [email-masked]
Cc: Jordan Moore <[email-masked]>
Date: Sat, 18 Jan 2025 18:33:30 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

lsof check stage fails on CoW filesystems (eg. btrfs, zfs).
This unconditionally skips the check. I was looking at how
to work around this and checked Gentoo's source builds, but
noticed they explicity opt out of lsof tests [1]. This patch
removes the single failing test, and allows builds on CoW
filesystems.

Note: I ran into this while standing up a build farm.

1: https://gitweb.gentoo.org/repo/gentoo.git/tree/sys-process/lsof/lsof-4.99.4.ebuild

Jordan Moore (1):
  gnu: lsof: Skip LTlock test

 gnu/packages/lsof.scm | 2 ++
 1 file changed, 2 insertions(+)

base-commit: 42295555ca9648e894569f40e9b28768be3f788a
-- 
2.46.0